TIFFFILE(1)

NAME
tifffile - Read image and meta-data from TIFF, STK, LSM, OME-TIFF, and FluoView files.

SYNOPSIS
tifffile [options] files...

DESCRIPTION
Only a subset of the TIFF specification is supported, mainly uncompressed and losslessly compressed 1-32 bit integer as well as 32 and 64-bit float images, which are commonly used in scientific imaging. TIFF, the Tagged Image File Format, is under the control of Adobe Systems. STK and LSM are TIFF with custom extensions used by MetaMorph respectively Carl Zeiss MicroImaging. Currently only primary info records are read for STK, FluoView, and NIH image formats.

Display image data in TIFF files.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-p PAGE, --page=PAGE
    display single page

-s SERIES, --series=SERIES
    display series of pages of same shape

--nomultifile
    don't read OME series from multiple files

--noplot
    don't display images

--interpol=INTERPOL
    image interpolation method

--dpi=DPI
    set plot resolution

--debug
    raise exception on failures

--test
    try read all images in path

--doctest
    runs the docstring examples

-v, --verbose

-q, --quiet

AUTHOR
Christoph Gohlke <http://www.lfd.uci.edu/~gohlke Laboratory for Fluorescence Dynamics, University of California, Irvine This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.

SEE ALSO
tiffdump(1), tiffinfo(1).